Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.httpclient
Class HttpRecorderMethod

    java.lang.Object
      org.archive.httpclient.HttpRecorderMethod

    public class HttpRecorderMethod

extends java.lang.Object

This class encapsulates the specializations supplied by the overrides `HttpRecorderGetMethod` and `HttpRecorderPostMethod`. It keeps instance of HttpRecorder and HttpConnection.

Version:
  $Revision: 3351 $, $Date: 2005-04-07 21:44:47 +0000 (Thu, 07 Apr 2005) $
Author:
  stack

Field Summary
`protected static java.util.logging.Logger` | `logger`

Constructor Summary
`HttpRecorderMethod(HttpRecorder recorder)`

Method Summary
`org.apache.commons.httpclient.HttpConnection` | `getConnection()`
`HttpRecorder` | `getHttpRecorder()`
`void` | `handleAddProxyConnectionHeader(org.apache.commons.httpclient.HttpMethod method)` If a 'Proxy-Connection' header has been added to the request, it'll be of a 'keep-alive' type.
`void` | `markContentBegin(org.apache.commons.httpclient.HttpConnection c)`
`void` | `setConnection(org.apache.commons.httpclient.HttpConnection connection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static java.util.logging.Logger logger

Constructor Detail

### HttpRecorderMethod

    public HttpRecorderMethod(HttpRecorder recorder)

Method Detail

### markContentBegin

    public void markContentBegin(org.apache.commons.httpclient.HttpConnection c)

### getConnection

    public org.apache.commons.httpclient.HttpConnection getConnection()

  Returns:
    Returns the connection.

### setConnection

    public void setConnection(org.apache.commons.httpclient.HttpConnection connection)

  Parameters:
    `connection` - The connection to set.

### getHttpRecorder

    public HttpRecorder getHttpRecorder()

  Returns:
    Returns the httpRecorder.

### handleAddProxyConnectionHeader

    public void handleAddProxyConnectionHeader(org.apache.commons.httpclient.HttpMethod method)

  If a 'Proxy-Connection' header has been added to the request, it'll be of a 'keep-alive' type. Until we support 'keep-alives', override the Proxy-Connection setting and instead pass a 'close' (Otherwise every request has to timeout before we notice end-of-document).

  Parameters:
    `method` - Method to find proxy-connection header in.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.